{% load static %}

<style>
    .modal {
        display: none; /* Hidden by default */
        position: fixed; /* Stay in place */
        z-index: 1; /* Sit on top */
        left: 0;
        top: 0;
        width: 100%; /* Full width */
        height: 100%; /* Full height */
        overflow: auto; /* Enable scroll if needed */
        background-color: rgb(0,0,0); /* Fallback color */
        background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
    }

    /* Modal Content/Box */
    .modal-content {
        background-color: rgb(66, 66, 66);
        margin: 15% auto; /* 15% from the top and centered */
        padding: 35px;
        border: 1px solid #888;
        width: 40%; /* Could be more or less, depending on screen size */
    }

    /* The Close Button */
    .close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
    }

    .close:hover,
    .close:focus {
    color: rgb(221, 218, 218);
    text-decoration: none;
    cursor: pointer;
    }
</style>

<nav>
    <input id="menu__toggle" type="checkbox" />
    <label class="menu__btn" for="menu__toggle">
        <span></span>
    </label>
    <div class="nav">
        <div class="nav_search">
            {% comment %} <input type="text" placeholder="Найди инетесующий тебя модуль">
            <img src="{% static 'img/icons/search.svg' %}"> {% endcomment %}
        </div>

        <!-- Button trigger modal -->
        <div class="nav_menu">
            {% if request.user.is_authenticated %}
            <a href="{% url 'achivmient' %}" class="nav_menu_el">
                <div class="nav_menu_el__img">
                    <img src="{% static 'img/icons/achivment.svg' %}" alt="">
                </div>
                <span>Награды</span>
            </a>
            <a href="{% url 'course' %}" class="nav_menu_el">
                <div class="nav_menu_el__img">
                    <img src="{% static 'img/icons/education.png' %}" alt="">
                </div>
                <span>Обучение</span>
            </a>
            {% include 'include/logo.html' %}
            <a href="{% url 'profile' %}" class="nav_menu_el">
                <div class="nav_menu_el__img">
                    <img src="{% static 'img/icons/profile.svg' %}" alt="">
                </div>
                <span>Личный<br>кабинет</span>
            </a>
            <a href="#" id="myBtn" class="nav_menu_el nav_menu_el_support">
                <div class="nav_menu_el__img nav_menu_el_support" data-toggle="modal" data-target="#exampleModal">
                    <img src="{% static 'img/icons/support.svg' %}" alt="">
                </div>
                <span>Поддержка</span>
            </a>

                <!-- The Modal -->
                <div id="myModal" class="modal">
                <!-- Modal content -->
                <div class="modal-content">
                    <span class="close">&times;</span>
                    <p>Вы можете обратиться по почте 2019103189@pnu.edu.ru</p>
                </div>
            </div>
            {% else %}
                {% include 'include/logo.html' %}
            {% endif %}
        </div>
        <div class="nav_login">
            {% if user.is_authenticated %}
                {{user.username}}
                <a href="{% url 'logout' %}" class="button">Выйти</a>
            {% else %}
                {% if request.path == 'auth/login' %}
                    <a href="{% url 'login' %}" class="button">Войти</a>
                {% endif %}
            {% endif %}
        </div>
    
    </div>
</nav>

<script type="text/javascript">
    // Get the modal
    var modal = document.getElementById("myModal");
    // Get the button that opens the modal
    var btn = document.getElementById("myBtn");
    // Get the <span> element that closes the modal
    var span = document.getElementsByClassName("close")[0];
    // When the user clicks on the button, open the modal
    btn.onclick = function() {
    modal.style.display = "block";
    }
    // When the user clicks on <span> (x), close the modal
    span.onclick = function() {
    modal.style.display = "none";
    }

    // When the user clicks anywhere outside of the modal, close it
    window.onclick = function(event) {
    if (event.target == modal) {
        modal.style.display = "none";
    }
    }
</script>